# Type Alias TableRemoteMethodAdapterFactory<Data>

TableRemoteMethodAdapterFactory: (
method: Method,
paginator?: PaginatorLike,
sort?: SortLike | null,
filter?: FilterLike | null,
parameters?: Observable<Record<string, any>>,
) => Method<Data[], TableEvent>

#### Type Parameters

- Data extends Record<string, any> = Record<string, any>

#### Type declaration

- - (
    method: Method,
    paginator?: PaginatorLike,
    sort?: SortLike | null,
    filter?: FilterLike | null,
    parameters?: Observable<Record<string, any>>,
    ): Method<Data[], TableEvent>

  - #### Parameters

    - method: Method
    - `Optional` paginator: PaginatorLike
    - `Optional` sort: SortLike | null
    - `Optional` filter: FilterLike | null
    - `Optional` parameters: Observable<Record<string, any>>

    #### Returns Method<Data[], TableEvent>

- Defined in packages/angular/material/table-system/src/lib/table-data-source.directive.ts:47